#!/bin/csh
echo "Unix installation of JHTTPD"
echo "Be sure to have read the README.JHTTPD file."
echo " "
echo "Enter full path of perl "
echo -n "           [return for /usr/local/bin/perl]: "
set bindir=$<
if ("$bindir" == "") then
    set bindir=/usr/local/bin/perl
endif
echo -n "Enter full path of default browser [return for netscape]: "
set browserdir=$<
if ("$browserdir" == "") then
set browserdir=netscape
endif
setenv pbindir `echo "$bindir" |sed 's/\//\\\//g'`
setenv pbrowserdir `echo "$browserdir" |sed 's/\//\\\//g'`
echo "Modifing jhttpd file..."
if (-x $bindir) then 
    echo "s/\/usr\/local\/bin\/perl/$pbindir/" > /tmp/$$.sedfile
    echo "s/netscape/$pbrowserdir/" >> /tmp/$$.sedfile
    sed -f /tmp/$$.sedfile ./jhttpd.src > jhttpd
    rm /tmp/$$.sedfile
    echo "s/\/usr\/local\/bin\/perl/$pbindir/" > /tmp/$$.sedfile
    sed -f /tmp/$$.sedfile ./imagemap.src > imagemap
    sed -f /tmp/$$.sedfile ./examples/HomePageBuilder/cgi-bin/cgi-lib.pl.src > ./examples/HomePageBuilder/cgi-bin/cgi-lib.pl
    sed -f /tmp/$$.sedfile ./examples/HomePageBuilder/cgi-bin/script.pl.cgi.src > ./examples/HomePageBuilder/cgi-bin/script.pl.cgi
    chmod 755 ./examples/HomePageBuilder/cgi-bin/script.pl.cgi
    chmod 755 ./examples/HomePageBuilder/cgi-bin/cgi-lib.pl
    chmod 755 jhttpd
    chmod 755 imagemap
    cp imagemap examples/ExImageMapping/cgi-bin
    rm /tmp/$$.sedfile
else
    echo "ERROR $bindir does not exist"
    exit
endif
echo " "
echo "   You may now copy the man page and executable to where ever you "
echo "   would normally copy them to. On our systems they live in       "
echo "   /usr/local/man/man1 and /usr/local/bin respectively.           "
echo " "
echo "     eg:"
echo "          cp jhttpd /usr/local/bin"
echo "          cp jhttpd.1 /usr/local/man/man1"
echo "     Also, if you would like to use imagemapping check out the    "
echo "     examples directory and README. Perl imagemap has been        "
echo "     created. "
echo " "
echo " "
echo " "
